std::chrono::year_month::ok(3)

NAME
std::chrono::year_month::ok - std::chrono::year_month::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if the year and month values stored in this object are valid.

Return value
   year().ok() && month().ok()

Example
// Run this code
 #include <chrono>
 using namespace std::chrono_literals;
 int main()
 {
     constexpr std::chrono::year_month ym1{3030y, std::chrono::July};
     static_assert(ym1.ok());
     constexpr std::chrono::year_month ym2{std::chrono::year(2020)/16};
     static_assert(!ym2.ok());
 }